System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ComponentModel.IComponent System.IDisposable System.IServiceProvider System.ComponentModel.Designer("System.Windows.Forms.Design.ComponentDocumentDesigner, System.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", typeof(System.ComponentModel.Design.IRootDesigner)) System.ComponentModel.DesignerCategory("Component") System.ComponentModel.TypeConverter(typeof(System.ComponentModel.ComponentConverter)) System.Runtime.InteropServices.ComVisible(true)

A component can be contained in a container. For each component in a container, the container creates a site that it uses to manage the component. The component interacts with its container primarily through a container-provided , which is a repository of container-specific, per-component information.

Implements and provides the base implementation for remotable components that are marshaled by value (a copy of the serialized object is passed).

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  A component can be contained in a container. For each component in a container, the container creates a site that it uses to manage the component. The component interacts with its container primarily through a container-provided , which is a repository of container-specific, per-component information.

  Initializes a new instance of the class.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.IContainer To be added: an object of type 'IContainer' To be added

  Gets the container for the component.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Boolean To be added: an object of type 'bool'

  If the component does not have a site, this method always returns false.

  Gets a value indicating whether the component is currently in design mode.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void ``

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Event
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.EventHandler To be added

  Adds an event handler to listen to the event on the component.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventHandlerList To be added: an object of type 'EventHandlerList' To be added

  Gets the list of event handlers that are attached to this component.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  For more information on designer services you can use, see Design-Time Architecture.

  Gets the implementer of the .

  An that represents the implementer of the .

  A that represents the type of service you want.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.ComponentModel.ISite To be added: an object of type 'ISite'

  A valid value for this property - that is, the value is not null, indicates that the component has been added to a container.

  When the value of this property is null, the property indicates that the component is being removed from a container. However, this property does not remove the component from the container.

  Gets or sets the site of the component.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A may or may not have a name. If a is given a name, the name is unique among other objects within its .

  The stores the 's name. A can only have a if it has been added to an and the assigns an to it.

  Returns a containing the name of the , if any. This method should not be overridden.

  A containing the name of the , if any.

  null if the is unnamed.